Page MenuHomePhabricator

Develop OAuthRateLimiter extension
Closed, ResolvedPublic

Description

In order to manage the rate limits for clients and provide them to the access tokens in the OAuth extension we need to develop a separate extension, that would hold the rate limits logic. MVP functionality:

  • Implement the OAuth hook to provide the claims
  • Database table to store the mapping between client ID and client class
  • Configuration for mapping between client classes and rate limits
  • Maintenance script to assign clients to classes

Event Timeline

Pchelolo created this task.Jul 9 2020, 6:28 PM

Change 612364 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[integration/config@master] Add CI to OAuthRateLimiter extension

https://gerrit.wikimedia.org/r/612364

Change 612364 merged by jenkins-bot:
[integration/config@master] Add CI to OAuthRateLimiter extension

https://gerrit.wikimedia.org/r/612364

Change 612361 had a related patch set uploaded (by Ppchelko; owner: Clarakosi):
[mediawiki/extensions/OAuthRateLimiter@master] Initial commit

https://gerrit.wikimedia.org/r/612361

Change 612361 merged by jenkins-bot:
[mediawiki/extensions/OAuthRateLimiter@master] Initial commit

https://gerrit.wikimedia.org/r/612361

Change 613282 had a related patch set uploaded (by Clarakosi; owner: Clarakosi):
[mediawiki/extensions/OAuthRateLimiter@master] Implement OAuth hook & add functionality to set/get ratelimit tiers

https://gerrit.wikimedia.org/r/613282

QChris removed a subscriber: QChris.Jul 23 2020, 1:17 PM
Naike added a subscriber: Naike.Aug 10 2020, 5:59 AM

@Pchelolo - Why is this ticket blocked? How can we unblock it?

Change 613282 merged by jenkins-bot:
[mediawiki/extensions/OAuthRateLimiter@master] Implement OAuth hook & add functionality to set/get ratelimit tiers

https://gerrit.wikimedia.org/r/613282

Deployed, received a token, decoded, saw the ratelimit in the token.

eprodromou closed this task as Resolved.Wed, Sep 16, 2:57 PM